#!/bin/bash

grid_resolution=48x36x39
an=clim
veget=0


if [ $veget = 0 ] ; then
   optveget=""
else
   optveget="-v true"
fi

#########################################################################
# Emplacement du modele, de la simulation
#########################################################################
if [ `pwd | grep modipsl` ] ; then
   MODEL=`pwd | sed -e 's/.modipsl/ /' | awk ' { print $1 } '`
else
   echo Mettre emplacement du modele a la main
fi
SIMU=`pwd`
if [ ! -f run.def -o ! -f physiq.def -o ! -f gcm.def ] ; then
    echo Il n y a pas de fichier run.def ou physiq.def ou gcm.def dans le
    echo repertoire $SIMU. Vous pouvez en recuperer sur
    echo $MODEL/modipsl/modeles/LMDZ5/DefLists
    exit
fi

#########################################################################
# Compilation
#########################################################################

cd $MODEL/modipsl/modeles/LMDZ5
for mod in gcm ce0l ; do
   ./makegcm -d $grid_resolution $optveget $mod
   ./makegcm -d $grid_resolution $optveget $mod
   ./makegcm -d $grid_resolution $optveget $mod
   if [ -f $mod.e ] ; then
      mv $mod.e $SIMU/
   else
      echo Echec pour la compilation de lmdz ; exit
   fi
done


###############################################################
# Create initial state (start.nc and startphy.nc) and 
# boundary conditions (SSTs ...) for the LMDZ global
# climate model.
###############################################################
cd $SIMU

# dirinit=/dlmdz/LMDZ4/LMDZ_Init
get="wget http://www.lmd.jussieu.fr/~lmdz/LMDZ_Init/"

if [ "$an" = "clim" ] ; then
   suf=1x1_clim
else
   suf=360x180_$an
fi


${get}Albedo.nc
${get}amipbc_sic_$suf.nc
${get}amipbc_sst_$suf.nc
${get}ECDYN.nc
${get}Relief.nc
${get}Rugos.nc
${get}landiceref.nc

ln -sf ECDYN.nc ECPHY.nc
ln -sf amipbc_sic_$suf.nc amipbc_sic_1x1.nc
ln -sf amipbc_sst_$suf.nc amipbc_sst_1x1.nc

./ce0l.e

echo Le script s arrete ici par soucis pedagogique.
echo Vous pouvez maintnant lancer gcm.e
exit
if [ $veget = 0 ] ; then
    gcm.e
    exit
fi

###############################################################
# Les lignes ci-dessous permettent de lancer une simulation dans
# laquelle Orchidee s'auto-initialise.
###############################################################
# Run a first simulation which will create the intial state
# for ORCHIDEE (start_sech.nc)
# In file orchidee.def, put
# SECHIBA_restart_in=default
# Yon need to put VEGET=y in the physiq.def file
###############################################################

\rm carteveg5km.nc routing.nc lai2D.nc soils_param.nc
${get}carteveg5km.nc
${get}routing.nc
${get}lai2D.nc
${get}soils_param.nc

mv orchidee.def orchidee.orig
sed -e 's/^SECHIBA_restart_in=.*./SECHIBA_restart_in=default/' -e 's/^.*.HIBA_rest_out.*.$/SECHIBA_rest_out=restart_sech.nc/' orchidee.orig >| orchidee.def

./gcm.e

sed -e 's/^SECHIBA_restart_in=.*./SECHIBA_restart_in=start_sech.nc/' -e 's/^.*.HIBA_rest_out.*.$/SECHIBA_rest_out=restart_sech.nc/' orchidee.orig >| orchidee.def

###############################################################
# The final/initial state for vegetation will take the name put in
# line 
# SECHIBA_rest_out=restart_sech.nc
# of orchidee.def
###############################################################
